Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class X509StoreLDAPCerts

    java.lang.Object
      org.bouncycastle.x509.X509StoreSpi
          org.bouncycastle.jce.provider.X509StoreLDAPCerts

    public class X509StoreLDAPCerts

extends X509StoreSpi

A SPI implementation of Bouncy Castle `X509Store` for getting certificates form a LDAP directory.

See Also:
  `X509Store`

Constructor Summary
`X509StoreLDAPCerts()`

Method Summary
`java.util.Collection` `engineGetMatches(Selector selector)` Returns a collection of matching certificates from the LDAP location.
`void` `engineInit(X509StoreParameters params)` Initializes this LDAP cert store implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509StoreLDAPCerts

    public X509StoreLDAPCerts()

Method Detail

### engineInit

    public void engineInit(X509StoreParameters params)

  Initializes this LDAP cert store implementation.

  Specified by:
    `engineInit` in class `X509StoreSpi`
  Parameters:
    `params` - `X509LDAPCertStoreParameters`.
  Throws:
    `java.lang.IllegalArgumentException` - if `params` is not an instance of `X509LDAPCertStoreParameters`.

### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)
                                          throws StoreException

  Returns a collection of matching certificates from the LDAP location.

  The selector must be a of type `X509CertStoreSelector`. If it is not an empty collection is returned.

  The implementation searches only for CA certificates, if the method `X509CertSelector.getBasicConstraints()` is greater or equal to 0. If it is -2 only end certificates are searched.

  The subject and the serial number for end certificates should be reasonable criterias for a selector.

  Specified by:
    `engineGetMatches` in class `X509StoreSpi`
  Parameters:
    `selector` - The selector to use for finding.
  Returns:
    A collection with the matches.
  Throws:
    `StoreException` - if an exception occurs while searching.

Bouncy Castle Cryptography Library 1.45